4.1-stable build 171

Revision r21224 (build 171 started on 2021-09-29T21:59:08Z)


originally caused by:
 Started by an SCM change
Building in workspace /var/lib/jenkins/workspace/4.1-stable/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.6
Updating http://svn.redmine.org/redmine/branches/4.1-stable at revision '2021-09-29T14:59:08.145 -0700'
U         public/stylesheets/application.css
 U        .
At revision 21224

[ruby-2.6] $ /bin/sh -xe /tmp/jenkins3977538786771167068.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.6/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games rake -f lib/tasks/ci.rake config/database.yml BRANCH=4.1-stable
[ruby-2.6] $ /bin/sh -xe /tmp/jenkins4415077939334238449.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.6/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle update
The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
Fetching gem metadata from https://rubygems.org/..........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies....
Using rake 13.0.6
Using concurrent-ruby 1.1.9
Using i18n 1.6.0
Using minitest 5.14.4
Using thread_safe 0.3.6
Using tzinfo 1.2.9
Using activesupport 5.2.6
Using builder 3.2.4
Using erubi 1.10.0
Using mini_portile2 2.5.3
Using racc 1.5.2
Using nokogiri 1.11.7 (x86-linux)
Using rails-dom-testing 2.0.3
Using crass 1.0.6
Using loofah 2.12.0
Using rails-html-sanitizer 1.4.2
Using actionview 5.2.6
Using rack 2.2.3
Using rack-test 1.1.0
Using actionpack 5.2.6
Using nio4r 2.5.8
Using websocket-extensions 0.1.5
Using websocket-driver 0.7.5
Using actioncable 5.2.6
Using globalid 0.4.2
Using activejob 5.2.6
Using mini_mime 1.0.3
Using mail 2.7.1
Using actionmailer 5.2.6
Using method_source 1.0.0
Using thor 1.1.0
Using railties 5.2.6
Using actionpack-xml_parser 2.0.1
Using activemodel 5.2.6
Using arel 9.0.0
Using activerecord 5.2.6
Using marcel 1.0.2 (was 1.0.1)
Using activestorage 5.2.6
Using public_suffix 4.0.6
Using addressable 2.8.0
Using ast 2.4.2
Using bundler 2.0.0
Using regexp_parser 1.8.2
Using xpath 3.2.0
Using capybara 3.25.0
Using childprocess 3.0.0
Using css_parser 1.10.0
Using csv 3.1.9
Using docile 1.4.0
Using htmlentities 4.3.4
Using jaro_winkler 1.5.4
Using json 2.5.1
Using mini_magick 4.9.5
Using mocha 1.13.0
Using mysql2 0.5.3
Using net-ldap 0.16.3
Using parallel 1.21.0 (was 1.20.1)
Using parser 3.0.2.0
Using puma 3.12.6
Using ruby-openid 2.9.2
Using rack-openid 1.4.2
Using sprockets 4.0.2
Using sprockets-rails 3.2.2
Using rails 5.2.6
Using rainbow 3.0.0
Using rbpdf-font 1.19.1
Using rbpdf 1.20.1
Using redcarpet 3.5.1
Using request_store 1.4.1
Using roadie 4.0.0
Using roadie-rails 2.1.1
Using rouge 3.12.0
Using ruby-progressbar 1.11.0
Using unicode-display_width 1.6.1
Using rubocop 0.76.0
Using rubocop-performance 1.5.2
Using rubocop-rails 2.3.2
Using rubyzip 2.3.2
Using selenium-webdriver 3.142.7
Using simplecov-html 0.10.2
Using simplecov 0.17.1
Using yard 0.9.26
Bundle updated!
[ruby-2.6] $ /bin/sh -xe /tmp/jenkins756396180483499423.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.6/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle exec rake ci:about ci:setup RAILS_ENV=test
Ruby version: 2.6.0-p-1 (2018-12-06) [i686-linux]
svn: E155036: Please see the 'svn upgrade' command
svn: E155036: The working copy at '/var/lib/jenkins/workspace/4.1-stable/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.6'
is too old (format 8) to work with client version '1.9.3 (r1718519)' (expects format 31). You need to upgrade the working copy first.

Database 'ci_41stable_ruby26_dev' already exists
Database 'ci_41stable_ruby26_test' already exists
[ruby-2.6] $ /bin/sh -xe /tmp/jenkins5622240998769971346.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.6/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle exec rake test
svn: E155036: Please see the 'svn upgrade' command
svn: E155036: The working copy at '/var/lib/jenkins/workspace/4.1-stable/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.6'
is too old (format 8) to work with client version '1.9.3 (r1718519)' (expects format 31). You need to upgrade the working copy first.

Deprecation warning: Net::LDAP::ConnectionRefused will be deprecated. Use Errno::ECONNREFUSED instead.
Deprecation warning: Net::LDAP::ConnectionRefused will be deprecated. Use Errno::ECONNREFUSED instead.
(Test LDAP server not configured)
Bazaar non ASCII output test cannot run on this environment.
Encoding.locale_charmap: UTF-8
Skipping LDAP tests.
Run options: --seed 44284

# Running:

.......................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................SS...............................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................S...............................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

Finished in 562.612193s, 8.8587 runs/s, 40.3848 assertions/s.
4984 runs, 22721 assertions, 0 failures, 0 errors, 3 skips

You have skipped tests. Run with --verbose for details.
Finished: SUCCESS